# Shop License

Shop License Verification is used to ensure that only authorised users can access and use the products. By verifying the authenticity of each license key, shop license verification can help prevent piracy and unauthorised use of the product.

### Submit Document

#### ind\_shop\_license

```http
POST https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_shop_license
```

Post parameters description is given below.

| Post Parameter  | Type   | Is Mandatory | Description         |
| --------------- | ------ | ------------ | ------------------- |
| license\_number | String | Yes          | Registration number |
| state           | String | Yes          | state name          |

#### Supported States List

1. West Bengal
2. Telangana
3. Delhi
4. Haryana
5. Rajasthan
6. Uttar Pradesh
7. Jammu And Kashmir
8. Jharkhand
9. Madhya Pradesh
10. Maharashtra
11. Karnataka

#### Sample Post Parameters

```json
{
    "license_number": "2017086465",
    "state": "delhi"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

```json
{
    "success": true,
    "status_code": 200,
    "message": "The request has been successfully completed.",
    "status": "completed",
    "reference_id": "f2c28f92-6640-4d09-99b3-3db3dd40c8fe",
    "result": {
        "registration_no": "2017086465",
        "registration_date": "2017-10-25",
        "shop_name": "RAJEEV GANDHI YOUTH COMPUTER",
        "website": "",
        "address": "DELHI RAJEEV GANDHI YOUTH COMPUTER LITERACY MISSION, DELHI. PIN-110058, CONTACT NO 01187765, FAX",
        "category": "COMMERCIAL ESTABLISHMENT",
        "certificate_date": "2017-10-25",
        "certificate_no": "2017086465",
        "confidential_employees": "0",
        "date_of_commencement": "2017-10-25",
        "email": "",
        "total_workers": "4",
        "family_workers": "0",
        "female_workers": "2",
        "male_workers": "2",
        "young_workers": "0",
        "manager_name": "ASHOK KUMAR DAS",
        "managers_father_name": "S/O PULIN DAS",
        "nature": "INSTITUTE",
        "occupier_name": "ASHOK KUMAR DAS",
        "occupiers_father_name": "S/O PULIN DAS"
    },
    "requested_at": "2023-09-21T13:28:38.469Z",
    "completed_at": "2023-09-21T13:28:38.653Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "8dbbf913-ef24-4951-b0db-2645d4516aa6",
    "status": "in_progress",
    "requested_at": "2024-04-18T11:28:05.523Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid license Number",
        "field": "license_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "8efd600f-0f1f-4309-b779-e1a00aa2199a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:32:41.031Z",
    "completed_at": "2024-04-18T11:32:43.000Z"
}
```

### Check Document Status

#### Get document details

```http
GET https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_shop_license
```

Query parameters description is given below.

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "status_code": 200,
    "message": "The request has been successfully completed.",
    "status": "completed",
    "reference_id": "f2c28f92-6640-4d09-99b3-3db3dd40c8fe",
    "result": {
        "registration_no": "2017086465",
        "registration_date": "2017-10-25",
        "shop_name": "RAJEEV GANDHI YOUTH COMPUTER",
        "website": "",
        "address": "DELHI RAJEEV GANDHI YOUTH COMPUTER LITERACY MISSION, DELHI. PIN-110058, CONTACT NO 01187765, FAX",
        "category": "COMMERCIAL ESTABLISHMENT",
        "certificate_date": "2017-10-25",
        "certificate_no": "2017086465",
        "confidential_employees": "0",
        "date_of_commencement": "2017-10-25",
        "email": "",
        "total_workers": "4",
        "family_workers": "0",
        "female_workers": "2",
        "male_workers": "2",
        "young_workers": "0",
        "manager_name": "ASHOK KUMAR DAS",
        "managers_father_name": "S/O PULIN DAS",
        "nature": "INSTITUTE",
        "occupier_name": "ASHOK KUMAR DAS",
        "occupiers_father_name": "S/O PULIN DAS"
    },
    "requested_at": "2023-09-21T13:28:38.469Z",
    "completed_at": "2023-09-21T13:28:38.653Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "8dbbf913-ef24-4951-b0db-2645d4516aa6",
    "status": "in_progress",
    "requested_at": "2024-04-18T11:28:05.523Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "8efd600f-0f1f-4309-b779-e1a00aa2199a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:32:41.031Z",
    "completed_at": "2024-04-18T11:32:43.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/shop-license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
